mscorlib 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Runtime.InteropServices.ComVisible(true)

Files are either in the global assembly cache, or they are not. There are no variations to the permission granted, so all objects are equal.

Starting with the net_v40_long, identity permissions are not used.

In the .NET Framework versions 1.0 and 1.1, demands on the identity permissions are effective even when the calling assembly is fully trusted. That is, although the calling assembly has full trust, a demand for an identity permission fails if the assembly does not meet the demanded criteria. Starting with the .NET Framework version 2.0, demands for identity permissions are ineffective if the calling assembly has full trust. This assures consistency for all permissions, eliminating the treatment of identity permissions as a special case.

Defines the identity permission for files originating in the global assembly cache. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a with a value of .

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  In the .NET Framework versions 1.0 and 1.1, identity permissions cannot have an permission state value. Starting with the .NET Framework version 2.0, identity permissions can have any permission state value. This means that in 2.0 and later versions, identity permissions have the same behavior as permissions that implement the interface.

  Initializes a new instance of the class with fully restricted .

  One of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method creates a from an XML encoding defined by a object. Use the method to XML-encode the , including state information.

  Creates a permission from an XML encoding.

  A that contains the XML encoding to use to create the permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe in common. Only a demand that passes both original permissions will pass the intersection.

  A only supports set operations (the , , and methods) when the current permission is equal to the specified permission.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. The new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission represents a set of operations that is wholly contained by the specified permission. If this method returns true, the current permission represents no more access to the protected resource than does the specified permission.

  A only supports set operations (the , , and methods) when the current permission is equal to the specified permission.

  Indicates whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission object to test for the subset relationship. The permission must be of the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Use the method to create a from a .

  Creates an XML encoding of the permission and its current state.

  A that represents the XML encoding of the permission, including any state information.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to the method is a permission that includes all the operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  A only supports set operations (the , , and methods) when the current permission is equal to the specified permission.

  Creates and returns a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.